Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::chunk_by_base_fn Struct Reference
Inheritance diagram for ranges::views::chunk_by_base_fn:

## Public Member Functions
template<typename Rng , typename Fun > requires viewable_range<Rng> && forward_range<Rng> && indirect_relation<Fun, iterator_t<Rng>>
constexpr chunk_by_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const